﻿from math import sqrt
from PIL import Image

im1 = Image.open('butterfly_gris_cie.jpg')
L,H = im1.size
print (L,H)
im2 = Image.new("RGB",(L,H))
for y in range(1,H-1):
    for x in range(1,L-1):
        p1 = im1.getpixel((x-1,y-1))
        p2 = im1.getpixel((x+1,y-1))
        p3 = im1.getpixel((x+1,y+1))
        p4 = im1.getpixel((x-1,y+1))
        test=sqrt((p1[0]-p3[0])*(p1[0]-p3[0]) + (p2[0]-p4[0])*(p2[0]-p4[0]))
        if test<30:
                r = 255
                v = 255
                b = 255
        else :
                r=0
                v=0
                b=0
        im2.putpixel((x,y),(r,v,b))


im2.save("butterfly_contour.bmp")
im2.show()

